"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterImageProps = exports.filterTextProps = exports.filterViewProps = void 0;
var _viewMask = {
    children: true,
    accessibilityActions: true,
    accessibilityElementsHidden: true,
    accessibilityHint: true,
    accessibilityIgnoresInvertColors: true,
    accessibilityLabel: true,
    accessibilityLabelledBy: true,
    accessibilityLanguage: true,
    accessibilityLiveRegion: true,
    accessibilityRole: true,
    accessibilityState: true,
    accessibilityValue: true,
    accessibilityViewIsModal: true,
    accessible: true,
    hasTVPreferredFocus: true,
    hitSlop: true,
    id: true,
    importantForAccessibility: true,
    isTVSelectable: true,
    nativeID: true,
    onAccessibilityAction: true,
    onAccessibilityEscape: true,
    onAccessibilityTap: true,
    onLayout: true,
    onMagicTap: true,
    onMoveShouldSetResponder: true,
    onMoveShouldSetResponderCapture: true,
    onPointerCancel: true,
    onPointerCancelCapture: true,
    onPointerDown: true,
    onPointerDownCapture: true,
    onPointerEnter: true,
    onPointerEnterCapture: true,
    onPointerLeave: true,
    onPointerLeaveCapture: true,
    onPointerMove: true,
    onPointerMoveCapture: true,
    onPointerUp: true,
    onPointerUpCapture: true,
    onResponderEnd: true,
    onResponderGrant: true,
    onResponderMove: true,
    onResponderReject: true,
    onResponderRelease: true,
    onResponderStart: true,
    onResponderTerminate: true,
    onResponderTerminationRequest: true,
    onStartShouldSetResponder: true,
    onStartShouldSetResponderCapture: true,
    onTouchCancel: true,
    onTouchEnd: true,
    onTouchEndCapture: true,
    onTouchMove: true,
    onTouchStart: true,
    pointerEvents: true,
    removeClippedSubviews: true,
    role: true,
    shouldRasterizeIOS: true,
    style: true,
    testID: true,
    tvParallaxMagnification: true,
    tvParallaxProperties: true,
    tvParallaxShiftDistanceX: true,
    tvParallaxShiftDistanceY: true,
    tvParallaxTiltAngle: true,
    'aria-busy': true,
    'aria-checked': true,
    'aria-disabled': true,
    'aria-expanded': true,
    'aria-hidden': true,
    'aria-label': true,
    'aria-labelledby': true,
    'aria-live': true,
    'aria-modal': true,
    'aria-selected': true,
    'aria-valuemax': true,
    'aria-valuemin': true,
    'aria-valuenow': true,
    'aria-valuetext': true,
};
var _textMask = {
    children: true,
    accessibilityActions: true,
    accessibilityElementsHidden: true,
    accessibilityHint: true,
    accessibilityIgnoresInvertColors: true,
    accessibilityLabel: true,
    accessibilityLabelledBy: true,
    accessibilityLanguage: true,
    accessibilityLiveRegion: true,
    accessibilityRole: true,
    accessibilityState: true,
    accessibilityValue: true,
    accessibilityViewIsModal: true,
    accessible: true,
    adjustsFontSizeToFit: true,
    allowFontScaling: true,
    dynamicTypeRamp: true,
    ellipsizeMode: true,
    id: true,
    importantForAccessibility: true,
    lineBreakMode: true,
    maxFontSizeMultiplier: true,
    minimumFontScale: true,
    nativeID: true,
    numberOfLines: true,
    onAccessibilityAction: true,
    onAccessibilityEscape: true,
    onAccessibilityTap: true,
    onLayout: true,
    onLongPress: true,
    onMagicTap: true,
    onPress: true,
    onPressIn: true,
    onPressOut: true,
    onTextLayout: true,
    role: true,
    style: true,
    suppressHighlighting: true,
    testID: true,
    'aria-busy': true,
    'aria-checked': true,
    'aria-disabled': true,
    'aria-expanded': true,
    'aria-hidden': true,
    'aria-label': true,
    'aria-labelledby': true,
    'aria-live': true,
    'aria-modal': true,
    'aria-selected': true,
    'aria-valuemax': true,
    'aria-valuemin': true,
    'aria-valuenow': true,
    'aria-valuetext': true,
};
var _imageMask = {
    children: true,
    accessibilityActions: true,
    accessibilityElementsHidden: true,
    accessibilityHint: true,
    accessibilityIgnoresInvertColors: true,
    accessibilityLabel: true,
    accessibilityLabelledBy: true,
    accessibilityLanguage: true,
    accessibilityLiveRegion: true,
    accessibilityRole: true,
    accessibilityState: true,
    accessibilityValue: true,
    accessibilityViewIsModal: true,
    accessible: true,
    alt: true,
    blurRadius: true,
    borderBottomLeftRadius: true,
    borderBottomRightRadius: true,
    borderRadius: true,
    borderTopLeftRadius: true,
    borderTopRightRadius: true,
    capInsets: true,
    defaultSource: true,
    id: true,
    importantForAccessibility: true,
    loadingIndicatorSource: true,
    nativeID: true,
    onAccessibilityAction: true,
    onAccessibilityEscape: true,
    onAccessibilityTap: true,
    onError: true,
    onLayout: true,
    onLoad: true,
    onLoadEnd: true,
    onLoadStart: true,
    onMagicTap: true,
    onPartialLoad: true,
    onProgress: true,
    progressiveRenderingEnabled: true,
    resizeMode: true,
    role: true,
    source: true,
    style: true,
    testID: true,
    'aria-busy': true,
    'aria-checked': true,
    'aria-disabled': true,
    'aria-expanded': true,
    'aria-hidden': true,
    'aria-label': true,
    'aria-labelledby': true,
    'aria-live': true,
    'aria-modal': true,
    'aria-selected': true,
    'aria-valuemax': true,
    'aria-valuemin': true,
    'aria-valuenow': true,
    'aria-valuetext': true,
};
function filterViewProps(propName) {
    return _viewMask[propName];
}
exports.filterViewProps = filterViewProps;
function filterTextProps(propName) {
    return _textMask[propName];
}
exports.filterTextProps = filterTextProps;
function filterImageProps(propName) {
    return _imageMask[propName];
}
exports.filterImageProps = filterImageProps;
//# sourceMappingURL=adapters.ios.js.map